Решение проблем с плагином интернет-магазина

Интернет-магазины состоят из множества различных частей, одной из которых является наш плагин Wordpress. Когда ваш интернет-магазин не работает, причина кроется в одной из этих частей, включая плагин Wordpress. Также возможно, что плагина несовместим с другой составляющей интернет-магазина. 

Поскольку ваш интернет-магазин работает в вашей собственной технической среде, мы не можем выяснить причину проблемы. Вам необходимо самостоятельно определить ее и найти решение. В этой статье мы предлагаем возможные варианты для поиска решения проблемы.

Если вы столкнулись с (очевидной) проблемой в плагине, которую можно легко решить, обратитесь к нашему партнеру AppSys. Они разрабатывают плагин интернет-магазина Wordpress, а также управляют им и могут помочь с решением проблемы.

Вoзмoжные прoблемы

Тема

Как и в любом интернет-магазине Wordpress/WooCommerce его внешний вид во многом определяется темой, которую вы устанавливаете. Возможно, тема содержит функции, которые не работают с плагином Rentman.

Пример. Тема может позволять вам добавлять настройки для даты доставки. Это может противоречить настройкам дат начала и окончания, которые могут быть установлены в плагине интернет-магазина Wordpress. В этом случае возникает ошибка из-за настроек выбранной вами темы.

(Автоматическое) обновление других составляющих

Некоторые части интернет-магазина могут перестать работать, даже если вы ничего не меняли. Это возможно из-за автоматических обновлений, вызывающих ошибки, которых раньше не возникало. Подумайте об обновлениях WordPress, WooCommerce или вашей среды размещения. В этом случае вам нужно будет выяснить, возникла ли проблема, и если да, то где именно. Rentman не может предложить поддержку в этом случае, поскольку ваш интернет-магазин работает в вашей собственной технической среде. 

Плагин не может работать вместе с другой составляющей 

Может быть так, что интернет-магазин работает правильно при отключении плагина, но проблемы возникают при повторном включении. 

Некоторые части вашего интернет-магазина могут некорректно работать вместе. В таком случае они несовместимы друг с другом. 

Часто возникающая ошибка. Устанавливаемая тема содержит определенные функции, несовместимые с подключаемым плагином интернет-магазина Wordpress. Существует множество доступных тем, и возможно, что какая-то часть из них модифицирована таким образом, что наш плагин не совместим с ними.

Вoзмoжныe рeшeния

Всегда используйте последнюю версию составляющих 

Важно, чтобы вы всегда запускали самые последние версии различных составляющих вашего интернет-магазина. Чтобы проверить версии, сделайте следующее: 

  1. Запросите отчет о состоянии системы WooCommerce.
    Перейдите в административную среду WordPress > WooCommerce > Состояние системы. (Admin environment of WordPress > WooCommerce > System Status.)

На момент создания отчета состояние системы должно быть следующим:

  • PHP: версия выше 5.6.  

  • WooCommerce: последняя версия.

  • Wordpress: последняя версия. 

  • Наш плагин интернет-магазина Wordpress: последняя версия. 

Если хотя бы одна из частей не последней версии, обновите ее. 

Прoблема все еще не решена

Если после выполнения рекомендаций, описанных в этой статье, проблема не была решена, вы можете связаться с нашим партнером AppSys, который занимается разработкой и управлением плагина интернет-магазина Wordpress. Они могут помочь вам определить проблему и найти решение. 

Была ли эта статья полезной?
Пользователи, считающие этот материал полезным: 0 из 0